Page MenuHomePhabricator

"Undefined index: userpage" error when user is logged out
Closed, ResolvedPublic

Description

If you're logged out, Blueprint prints this error.

It's setting

$this->data['username'] = $this->data['personal_urls']['userpage'];

but if the user is anonymous, there may be no 'userpage' key.

Blueprint shows this "username" in the top right, clicking on it shows a drop-down menu of the skin system's personal_urls.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedPastakhov

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Blueprint.
Spage added subscribers: Spage, Volker_E.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 5:22 AM
Spage updated the task description. (Show Details)Oct 21 2015, 6:08 AM
Spage added a project: Design.
Spage set Security to None.

We need a spec for what should happen. The skin could sometimes show a logged-out user's IP address, but there's actually a setting $wgShowIPinHeader for this and it's false on the cluster, so then the skin needs to display a word like "Anonymous user" in place of username/IP address.

This error also happens on my local MW installation when logged-in!

Volker_E moved this task from Backlog to Next Up on the Blueprint board.Oct 30 2015, 8:44 AM

@Volker_E What version of your local MW?

Change 249979 had a related patch set uploaded (by Pastakhov):
Fix getting username for the top right menu button

https://gerrit.wikimedia.org/r/249979

@Pastakhov The local version is 1.26alpha. Currently downloading your patch.

@Volker_E I use 1.26alpha (c263488) for testing too, but I never get this error when logged-in.

@Pastakhov I've updated to latest core 1.26alpha from two days ago and the error is now gone logged-in and logged-out with your patch versus master. 👍

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 5 2015, 3:25 AM

Change 249979 merged by jenkins-bot:
Fix getting username for the user menu button

https://gerrit.wikimedia.org/r/249979

Volker_E closed this task as Resolved.Nov 5 2015, 4:58 AM
Volker_E removed a project: Patch-For-Review.
Volker_E moved this task from Needs Review / Feedback to Done on the Blueprint board.